---
id: repository-maintainers
title: Notes for Repository Maintainers
sidebar_label: Repository Maintainers
---

Contributors should be recognised as soon as the contribution is discovered to help ensure their efforts are not
overlooked when the list gets updated at a later date. This can be difficult for contributions that are not the result of a commit to the repository but do your best to minimise the time between the contribution and updating the list.

> **Pro tip:** If your project is configured for [the @all-contributors bot 🤖](bot/overview) simply write a comment on an issue or pull request to recognise their contribution. For example:
>
> `@all-contributors please add @tbenning for design` ✨

Being the owner or a maintainer of the repository does not mean you are solely responsible for keeping the list of
contributors up to date. You should encourage contributors to add themselves to the list as much as possible.
This can be in the form of a comment on the issue, blog or answer, or through more direct forms of communication where appropriate.

Many contributors may not realise that their efforts are sufficient for recognition in the contributors list.
This might be because they have not read or understood the definition of a contributor as set out in this specification,
or because they do not feel like it is significant enough. In these cases, you should still encourage them to add themselves,
but it may be necessary for you to add the contributor yourself (though it's a good idea to do so in the form of a pull
request to make sure they're ok with being added).

In the end, there are no hard and fast rules for when a contribution has to be added to the list,
just do your best to be fair and to ensure all contributors are recognised.

## What's next

- [Automating the process using tools](tooling)
